[Bug 1013] Qt build method 1 installs files with wrong permissions

blfs-bugs at linuxfromscratch.org blfs-bugs at linuxfromscratch.org
Thu Oct 14 02:15:30 PDT 2004


http://blfs-bugs.linuxfromscratch.org/show_bug.cgi?id=1013





------- Additional Comments From n-roeser at gmx.net  2004-10-14 03:15 -------
Created an attachment (id=106)
 --> (http://blfs-bugs.linuxfromscratch.org/attachment.cgi?id=106&action=view)
Patch which adds a wrapper script to qt in order to get the permissions right
when calling install.

This patch against qt-3.3.3 adds the script qt-install-wrapper to the bin
directory of the qt tree. This script installs files with either 0644 or 0755
permissions, depending on the permissions of the source file.
The patch enables use of the wrapper script instead of "cp -f" for linux-g++ by
changing mkspecs/linux-g++/qmake.conf - other qmake.conf files are not changed.
This should be fixed in a future version of the script, but can also be
accomplished by a sed in a bash loop (which would be better in future).



------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.



More information about the blfs-book mailing list